| Home | Libraries | People | FAQ | More

##### counting_range

###### Prototype

    template< class Incrementable > inline
    iterator_range< counting_iterator<Incrementable> >
    counting_range(Incrementable first, Incrementable last);

    template< class SinglePassRange > inline
    iterator_range< counting_iterator<typename range_iterator<SinglePassRange>::type >
    counting_range(const SinglePassRange& rng);

    template< class SinglePassRange > inline
    iterator_range< counting_iterator<typename range_iterator<SinglePassRange>::type >
    counting_range(SinglePassRange& rng);

###### Description

`counting_range` is a function to generator that generates an `iterator_range` wrapping a `counting_iterator` (from Boost.Iterator).

###### Definition

Defined in header file `boost/range/counting_range.hpp`

###### Requirements

1. `Incrementable` is a model of the `Incrementable` Concept.